MDB2MySQL manual
Access2MySQL 1.1b Application Manual

This is the Access2MySQL (version 1.1b) manual. You will find here anything you need to know about this tool.

Access2MySQL is an effective application which allows to easily convert mdb (Microsoft Access) databases to MySQL and vice versa, unlike other similar tools, which commonly perform only one-way conversion. The program is extremely easy to use, it is implemented like a common wizard-like application, so even an unexperienced user will be able to work with it. We doubt that you will have any problems with it, but in any case FAQ page is available for your convenience.

Features:

  • This version of Access2MySQL supports all MS Access versions starting from MS Access 97.
  • All MS Access data types and attributes are supported
  • Works with all versions of Unix and Windows MySQL servers
  • Easy-to-use wizard-style interface
  • Full install/uninstall support

    Requirements:

  • Windows 95 or later or Windows NT 3.51 or later
  • At least 32 MB of available memory
  • Necessary privileges to write into database on the target MySQL server

    Important notices:

  • Does not convert system (hidden) tables.
  • Does not convert relationships between tables.
  • When copying fields Access2MySQL copies only field type and NULL/NOT NULL property.

    Application stages

  • Start - how to start.
  • Process stages - stages of conversion process.
  • Results - what you will have when the conversion finishes.
  • FAQ - if you still have questions, which were not highlighted in the previous sections, or experience troubles in using the application, you should check the Access2MySQL FAQ page out.

    Start - At start you will see the introduction message which will give you a brief overview of Access2MySQL functionality. To actually start working click "Next >" button and you will be taken to the first application stage.

    Process stages - To perform conversion the application will need to proceed 4 steps. At each step you will need to input the appropriate information which will be asked. Here are those steps in the order of their proceeding:

    1) Select the source database type to convert (MDB or MySQL).
    Note: If you select MDB, you will be invited to specify a Microsoft Access database file (*.mdb). If you select MySQL, you will be invited to specify server to connect to.
    Note: When you select MySQL as a source, specify Server, and UserName, you can click on button located on the right from the Database option, and after that, click "DropDown" on the Database combo-box. This will display you the list of database available on this server for this user.
    Also, you will need to enter Password.

    2) Select the destination database type to convert the source to (MDB or MySQL).
    Note: If you select MDB, you will be invited to specify a Microsoft Access database file (*.mdb). If you select MySQL, you will be invited to specify server to connect to.
    Note: When you select MySQL as destination, specify Server, and UserName, you can click on "Refresh" button, and after that, click "DropDown" on the Database combo-box. This will display you the list of database available on this server for this user.
    Also, you will need to enter Password.

    3) Options.
    Here you will be able to set different conversion options. Among them are:
    - Copy structure only - if set, only database structure will be copied to the destination database. No actual data copying will be performed.
    - Overwrite existing database - If a database being copied already exists, this option specifies whether it will be overwritten (this will cause all data in it to be lost) or it will be modified according to the next option.
    - Overwrite existing tables - (available only if the previous option is not checked) - if a table being copied already exists, this option specifies whether it will be overwritten (this will cause all data in it to be lost) ot it will be modified according to the next option.
    - Overwrite existing fields - (available only if the previous option is not checked) - if a field being copied already exists, this option specifies whether it will be overwritten (this will cause all data in it to be lost) ot it will be modified according to the next option.

    - Modify fields - (available only if the previous options is not checked) - if a field being copied already exists, this option specifies whether it will be modified, or stay untouched.

    4) Conversion progress.
    Here you will see 2 progress-bars. The first one will indicate current operation progress, and the second one - the whole conversion process progress. When you are sure you have done everything right, you can click "Commit" button and the conversion will start. Once the second progress bar reaches 100%, it means that the whole conversion is done. You will be able to view log files for both proceeded operations and possibly happened errors.

    Results - The application will report you whether the conversion was completed successfully.

    © Copyright by DMSoft Technologies, 2001-2002.


MDB2MySQL FAQ
Access2MySQL 1.1b Frequently Asked Questions

This is the Access2MySQL (version 1.1b) Frequently Asked Questions. If you meet any problem using the application, please read this document before contacting us. We are sure that you will easily find an answer to your question, or your problem resolve here. If not, only after that you should contact us via e-mail info@dmsofttech.com

Why should I use Access2MySQL tool, not other tools? - As well as an ultimate ease of using, this can give you an advantage in speed comparing to other similar tools. We will soon provide some benchmark results.

Where can I learn more about MySQL and Microsoft Access databases? -
MySQL - You should refer to the online manual pages which can be found at http://www.mysql.com/documentation
Microsoft Access Database (mdb)
- Beginner's help - Microsoft Access help reference.
- Advanced help - MSDN, (Visual Studio Documentation -> Visual Basic Documentation -> Miscrosoft DAO 3.60)

I still have questions/comments about this program - You should direct them to info@dmsofttech.com Your feedback is highly appreciated.


MDB2MySQL manual
Access2MySQL 1.1b Application Manual

Note for Virtual Server Users:

If you are using Virtual Server hosting you probably have no sufficient privileges to create new databases on the target MySQL server. For this case we recommend the following approach:

1. Ask your Virtual Server administrator to create blank database for you
2. Run Access2MySQL and select this database as the conversion destination
3. Check option to overwrite existing MySQL database

When you complete these steps, the entire contents of the source MS Access database will be imported into the specified MySQL database.

© Copyright by DMSoft Technologies, 2001-2002.


MDB2MySQL manual
Access2MySQL 1.1b Application Manual

Copyright (C) 2001-2002 DMSoft Technologies

Commercial License Agreement

PLEASE READ THIS DOCUMENT CAREFULLY. BY INSTALLING THE SOFTWARE, YOU ARE
AGREEING TO BECOME BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT
AGREE TO THE TERMS OF THE AGREEMENT, PLEASE DO NOT INSTALL THE SOFTWARE.

This is a legal agreement between you and DMSoft Technologies. This
Agreement states the terms and conditions upon which DMSoft Technologies
offers to license the software together with all related documentation and
accompanying items including, but not limited to, the executable programs,
drivers, libraries and data files associated with such programs
(collectively, the "Software").

1. License. DMSoft Technologies grants to you ("Licensee") a
nonexclusive, nontransferable, worldwide, royalty-free license to use this
version of the Software.

2. Copyright. The Software is owned by DMSoft Technologies and is
protected by international treaty provisions. You may not remove the
copyright notice from any copy of the Software or any copy of the written
materials, if any, accompanying the Software.

3. One Archival Copy. You may make one (1) archival copy of the
machine-readable portion of the Software for backup purposes only in
support of your use of the Software on a single computer, provided that
you reproduce on the copy all copyright and other proprietary rights
notices included on the originals of the Software.

4. Transfer of License. You may not transfer your license of the
Software to a third party.

5. Decompiling, Disassembling, or Reverse Engineering. You acknowledge
that the Software contains trade secrets and other proprietary information
of DMSoft Technologies and its licensors. You may not decompile,
disassemble or otherwise reverse engineer the Software, or engage in any
other activities to obtain underlying information that is not visible to
the user in connection with normal use of the Software. In particular,
you agree not for any purpose to transmit the Software or display the
Software's object code on any computer screen or to make any hard copy
memory dumps of the Software's object code. If you believe you require
information related to the interoperability of the Software with other
programs, you shall not decompile or disassemble the Software to obtain
such information, and you agree to request such information from DMSoft
Technologies. Upon receiving such a request, DMSoft Technologies shall
determine whether you require such information for a legitimate purpose
and, if so, DMSoft Technologies will provide such information to you
within a reasonable time and on reasonable conditions. In any event, you
will notify DMSoft Technologies of any information derived from reverse
engineering or such other activities, and the results thereof will
constitute the confidential information of DMSoft Technologies that may be
used only in connection with the Software.

6. Termination. The license granted to you is effective until
terminated. You may terminate it at any time by destroying the Software
(including any portions or copies thereof) currently in your possession or
control. The license will also terminate automatically without any notice
from DMSoft Technologies if you fail to comply with any term or condition
of this Agreement. You agree upon any such termination to destroy the
Software (including any portions or copies thereof). Upon termination,
DMSoft Technologies may also enforce any and all rights provided by law.
The provisions of this Agreement that protect the proprietary rights of
DMSoft Technologies will continue in force after termination.

7. NO WARRANTY. ANY USE BY YOU OF THE SOFTWARE IS AT YOUR OWN RISK. THE
SOFTWARE IS PROVIDED FOR USE "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE
MAXIMUM EXTENT PERMITTED BY LAW, DMSOFT TECHNOLOGIES DISCLAIMS ALL
WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT
LIMITATION, IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY AND
FITNESS FOR A PARTICULAR PURPOSE.

DMSoft Technologies does not warrant that the functions contained in the
Software will meet your requirements or that the operation of the Software
will be uninterrupted or error-free. Any representation, other than the
warranties set forth in this Agreement, will not bind DMSoft Technologies.
You assume full responsibility for the selection of the Software to
achieve your intended results, and for the downloading, use and results
obtained from the Software. You also assume the entire risk as it applies
to the quality and performance of the Software

This warranty gives you specific legal rights, and you may also have other
rights which vary from country/state to country/state. Some
countries/states do not allow the exclusion of implied warranties, so the
above exclusion may not apply to you

8. NO LIABILITY FOR DAMAGES, INCLUDING WITHOUT LIMITATION CONSEQUENTIAL
DAMAGES. In no event shall DMSoft Technologies or its Licensors be liable
for any damages whatsoever (including, without limitation, incidental,
direct, indirect, special or consequential damages, damages for loss of
business profits, business interruption, loss of business information, or
other pecuniary loss) arising out of the use or inability to use this
Software, even if DMSoft Technologies or its Licensors have been advised
of the possibility of such damages. Because some states/ countries do not
allow the exclusion or limitation of liability for consequential or
incidental damages, the above limitation may not apply to you.

9. INDEMNIFICATION BY YOU. If you distribute the Software in violation
of this Agreement, you hereby indemnify, hold harmless and defend DMSoft
Technologies from and against any and all claims or lawsuits, including
attorney's fees and costs that arise, result from or are connected with
the use or distribution of the Software in violation of this Agreement.

10. GENERAL. This Agreement is binding on you as well as your employees,
employers, contractors and agents, and on any successors and assignees.
This Agreement is the entire agreement between you and DMSoft Technologies
and you agree that DMSoft Technologies will not have any liability for any
untrue statement or representation made by its, its agents or anyone else
(whether innocently or negligently) upon which you relied upon entering
this Agreement, unless such untrue statement or representation was made
fraudulently. This Agreement supersedes any other understandings or
agreements, including, but not limited to, advertising, with respect to
the Software.

If any provision of this Agreement is deemed invalid or unenforceable by
any country or government agency having jurisdiction, that particular
provision will be deemed modified to the extent necessary to make the
provision valid and enforceable, and the remaining provisions will remain
in full force and effect.

For questions concerning this Agreement, please contact DMSoft
Technologies at info@dmsofttech.com

© Copyright by DMSoft Technologies, 2001-2002.